html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

#app,
#app > .ant-layout {
    height: 100%;
    overflow: hidden;
    font-family: Roboto, sans-serif;
}

.ant-layout-header {
    height: 52px;
    display: flex;
    flex-direction: row;
    background: #fff;
    border-bottom: 2px solid #C62B2B;
    padding: 4px 20px 0px 0px;
}
    .ant-layout-header > * {
        flex: 0;
    }
    .ant-layout-header > a {
        display: flex;
    }
        .ant-layout-header > a > svg {
            margin-top: 7px;
        }
        .ant-layout-header > a > span {
            color: #000;
            text-decoration: none;
            font-weight: bold;
            font-size: 32px;
            line-height: 40px;
            margin-left: 12px;
        }
    .ant-layout-header > .display-name {
        display: contents;
    }
        .ant-layout-header > .display-name > div {
            margin-bottom: 12px;
            line-height: 47px;
            font-size: 16px;
        }
    .ant-layout-header > .anticon {
        margin-top: 10px;
        margin-left: 12px;
        cursor: pointer;
    }

.ant-layout-sider {
    background: #fff;
}
    .ant-layout-sider:has(.ant-menu-inline-collapsed) {
        width: 60px !important;
        flex: 0 0 60px !important;
         max-width: 60px !important; 
        min-width: 60px !important;
    }
        .ant-layout-sider:has(.ant-menu-inline-collapsed) .anticon {
            font-size: 20px !important;
        }

aside .ant-menu a {
    text-decoration: none;
}
aside .ant-menu .ant-menu-title-content .anticon {
    min-width: 20px;
    font-size: 20px;
}
aside .ant-menu .ant-menu-title-content .title {
    font-size: 15px;
    margin-left: 4px;
}

.minimum-header {
    width: 600px;
    margin: 70px auto 0 auto;
    gap: 50px;
}
    .minimum-header .app-name {
        width: 100%;
        text-align: center;
    }
        .minimum-header .app-name h2 {
            margin: 0;
            font-size: 24px;
            line-height: 32px;
            font-weight: 600;
        }
        .minimum-header .app-name h3 {
            margin: 0;
            font-size: 16px;
            line-height: 24px;
            font-weight: 500;
        }
    .minimum-header .page-title {
        text-align: center;
        gap: 10px;
    }
        .minimum-header .page-title h1 {
            margin: 0;
            font-size: 32px;
            line-height: 40px;
            font-weight: 600;
        }
        .minimum-header .page-title h2 {
            margin: 0;
            font-size: 14px;
            line-height: 20px;
            font-weight: 400;
        }
    .minimum-header .page-content {
        gap: 50px;
    }

.auth-form {
    width: 400px;
    margin: 0 auto;
}
    .auth-form .actions {
        text-align: center;
    }
    .auth-form .actions .ant-form-item-control-input-content {
        display: flex;
        gap: 30px;
        justify-content: center;
    }
    .auth-form .actions button.ant-btn {
        height: 50px;
        width: 150px;
        padding: 0;
    }
    .auth-form .actions button.ant-btn-primary {
        font-size: 18px;
        color: #fff;
        background: #355C7D;
        border-radius: 16px;
        border-color: #355C7D;
        border-width: 3px;
    }
    .auth-form .actions button.ant-btn-default {
        font-size: 18px;
        color: #355C7D;
        background: #fff;
        border-radius: 16px;
        border-color: #355C7D;
        border-width: 3px;
    }
    .auth-form .actions button.ant-btn-loading {
    }
.auth-form .actions button.ant-btn-link {
    color: #355C7D;
    font-weight: 500;
}
.auth-form .ant-input-affix-wrapper {
    border-radius: 4px;
}
.auth-form .error {
    text-align: center;
    color: #ff4d4f;
    font-weight: 500;
}
    .auth-form .ant-form-item-required::before {
        content: "" !important;
        margin-right: 0 !important;
    }
    .auth-form .ant-form-item-required::after {
        content: "*" !important;
        display: inline-block !important;
        margin-left: 4px !important;
        color: #ff4d4f;
        font-size: 14px;
        /*font-family: SimSun, sans-serif;*/
        line-height: 1;
    }
    .auth-form .ant-form-item-explain-default {
        color: #ff4d4f;
    }

.order-lines {
    height: calc(100% - 57px);
    background-color: #fff;
}
    .order-lines .order-lines-header {
        height: 54px;
        padding: 0 20px;
        border-bottom: 1px solid #444;
    }
    .order-lines .order-lines-empty {
        padding: 20px;
        font-size: 16px;
    }
    .order-lines .order-line-list {
        height: calc(100% - 69px);
        overflow: auto;
    }
    .order-lines .order-line {
        width: 100%;
        min-height: 100px;
        padding-left: 20px;
    }
    .order-lines .ant-list-item {
        padding: 0px;
        border-bottom: 1px solid #444;
        cursor: pointer;
    }
    .order-lines .order-line .order-line-info {
        width: 100%;
        min-height: 100px;
        padding-left: 20px;
        flex: 1;
    }
        .order-lines .order-line .order-line-info .order-line-product {
            display: flex;
            font-size: 16px;
        }
            .order-lines .order-line .order-line-info .order-line-product .quantity {
                min-width: 80px;
                margin-right: 8px;
            }
    .order-lines .order-line h3 {
        margin: 4px 0 0 0;
        font-size: 28px;
        line-height: 36px;
        font-weight: 700;
    }
        .order-lines .order-line.approved {
            background-color: #EAF6EC;
        }
        .order-lines .order-line.rejected {
            background-color: #FDECEC;
        }
    .order-lines .order-line .order-line-status {
        width: 60px;
        padding-top: 20px;
    }
        .order-lines .order-line.approved .order-line-status {
            color: #2E7D32;
        }
        .order-lines .order-line.rejected .order-line-status {
            color: #C62828;
        }
    .order-lines .order-line .order-line-actions {
        padding: 20px 10px 0 0;
        display: flex;
        gap: 6px;
    }
        .order-lines .order-line .order-line-actions button {
            border-radius: 16px;
        }
        .order-lines .order-line .order-line-actions .approve {
            width: 92px;
        }
        .order-lines .order-line .order-line-actions .approve button {
            background-color: #2E7D32;
            color: #fff;
        }
        .order-lines .order-line .order-line-actions .reject {
            width: 125px;
        }
        .order-lines .order-line .order-line-actions .reject button {
            background-color: #C62828;
            color: #fff;
        }


    h1:focus {
        outline: none;
    }

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: absolute;
    display: block;
    width: 8rem;
    height: 8rem;
    inset: 20vh 0 auto 0;
    margin: 0 auto 0 auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }

code {
    color: #c02d76;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}